#include <applicat.h>
#include <config.h>
#include <mask.h>   
#include <printer.h>
#include <relation.h>
#include <tabutil.h>
#include <urldefid.h>
#include <utility.h>
#include <form.h>
#include <printapp.h>

#include "mglib.h"
#include "mg4100.h"

class TStampa_listamov : public TApplication
{
	TMask * _mask;
	TForm * _form; 

	int _codicees;
	bool _raggmag;
	TString _daart,_aart,_damag,_amag;
	TDate _dadata,_adata;
protected:
  virtual bool create();
  virtual bool destroy();
};

bool TStampa_listamov::create()
{
  TRectype darec(LF_MOVMAG),arec(LF_MOVMAG);
  _mask = new TMask("mg4100");
	while (TRUE) {
  	if (_mask->run() != K_ENTER) 
	    return FALSE;
	  _form = new TForm("mg4100", "");
	  TSorted_cursor& cur = (TSorted_cursor& )*_form->cursor();
  
		TString filter("ANNOES==");

		filter << _mask->get(F_ANNOES);
		cur.setfilter(filter);
		darec.zero(' ');
		arec.zero(' ');
		if (_mask->get(F_ORDINE)=="N")
		{
	  	cur.setkey(1);
			// trova il record iniziale
			darec.put("NUMREG",_mask->get(F_DANUM));
			//	 trova il record finale
			arec.put("NUMREG",_mask->get(F_ANUM));
			_form->find_field('B',odd_page,"HEADER_DATA").hide();
		} else {
	  	cur.setkey(4);
			// trova il record iniziale
			darec.put("DATACOMP",_mask->get(F_DADATA));
			//	 trova il record finale
			arec.put("DATACOMP",_mask->get(F_ADATA));
			_form->find_field('B',odd_page,"HEADER_DATA").show();
	  }
		cur.setregion(darec,arec);	  


		_form->print();
		delete _form;
	} // while true  
  return TRUE;
}
bool TStampa_listamov::destroy()
{
	delete _mask;
  return TRUE;
}


int mg4100(int argc, char* argv[])
{
	TStampa_listamov a;// derivata da Application e con uso di form
	a.run(argc,argv,"Stampa lista movimenti");
	return 0;
}
